<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/detailTopLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fitsSystemWindows="true" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷编号"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseNumberView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:gravity="end"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="处理状态"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseHandleStatusView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:gravity="end"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:text="案卷类型"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseTypeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:gravity="end"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="案卷大类"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseLargeTypeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:gravity="end"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷小类"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseSmallTypeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:gravity="end"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="社区"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseCommunityView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:id="@+id/t"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷地点"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/casePlaceView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="25dp"
                    android:layout_toStartOf="@id/locationMapView"
                    android:layout_toEndOf="@id/t"
                    android:textSize="@dimen/textFontSize" />

                <ImageView
                    android:id="@+id/locationMapView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:padding="@dimen/padding_10dp"
                    android:src="@drawable/ic_map" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:id="@+id/tt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷情况"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseSituationView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="25dp"
                    android:layout_toEndOf="@id/tt"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:id="@+id/ttt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷图片"
                    android:textSize="@dimen/textFontSize" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/casePicRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="25dp"
                    android:layout_toEndOf="@id/ttt" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:id="@+id/tttt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="处理图片"
                    android:textSize="@dimen/textFontSize" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/caseHandleImageView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="25dp"
                    android:layout_toEndOf="@id/tttt" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:id="@+id/ttv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷录音"
                    android:textSize="@dimen/textFontSize" />

                <com.casic.dcms.widgets.VoicePlayView
                    android:id="@+id/voicePlayView"
                    android:layout_width="100dp"
                    android:layout_height="30dp"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="25dp"
                    android:layout_toEndOf="@id/ttv"
                    app:indicatorNumber="10" />

                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                    android:id="@+id/caseAudioButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:paddingHorizontal="7dp"
                    android:paddingVertical="5dp"
                    android:text="播放录音"
                    android:textColor="@color/white"
                    android:visibility="gone"
                    app:qmui_backgroundColor="@color/mainThemeColor"
                    app:qmui_radius="5dp" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:id="@+id/tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="案卷视频"
                    android:textSize="@dimen/textFontSize" />

                <cn.jzvd.JzvdStd
                    android:id="@+id/videoPlayerView"
                    android:layout_width="match_parent"
                    android:layout_height="200dp"
                    android:layout_marginStart="23dp"
                    android:layout_toEndOf="@id/tv"
                    android:visibility="gone" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout
                android:id="@+id/handleLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="处理记录"
                    android:textSize="@dimen/textFontSize" />

                <ImageView
                    style="@style/rightImageStyle"
                    android:src="@drawable/ic_right_64" />
            </RelativeLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>